% Calculate the material stiffness matrix.
%   Call as:
%     D = damping_moduli(m, context)
%   where
%     m=material
%    context=structure with optional field:
%            interpreted by the property object
%
%
% the output arguments are
%     D=matrix 3X3 or 4x4
%
function D = damping_moduli(self, context)
    D= get(self.property,'D_visc', context);
    end