if (symmetric)
    % Symmetric
    C= @(ell,theta)diag([cos(ell*theta),cos(ell*theta),-sin(ell*theta)]);
else
    % anti-symmetric
    C= @(ell,theta)diag([sin(ell*theta),sin(ell*theta),cos(ell*theta)]);
end

nsect =9;

% Needs to define the 3-D geometry field
geom3d = field(struct ('name',['geom'], 'dim', 3, 'data',[get(geom,'values'),zeros(count(fens),1)]));
limits =reshape([min(get(geom3d,'values'))- 0.01*rex;max(get(geom3d,'values'))+ 0.01*rex], 6, 1);

Camera = [ 4.2933    7.2184    2.5286    0.0347    0.1784    0.0438   -0.7075    0.5737   -0.4128    5.8728];
    



scale=0.5;
axis_length =rex/3;;
animate = false;
nsect =18;
visualize_3daxi