if (symmetric)
    % Symmetric
    C= @(ell,theta)diag([cos(ell*theta),cos(ell*theta),-sin(ell*theta)]);
else
    % anti-symmetric
    C= @(ell,theta)diag([sin(ell*theta),sin(ell*theta),cos(ell*theta)]);
end

% Needs to define the 3-D geometry field
geom3d = field(struct ('name',['geom'], 'dim', 3, 'data',[get(geom,'values'),zeros(count(fens),1)]));
limits =reshape([min(get(geom3d,'values'))- 0.01*Rm;max(get(geom3d,'values'))+ 0.01*Rm], 6, 1);

Camera = [4.3623    7.1582    2.5810    0.1037    0.1182    0.0962   -0.7075    0.5737   -0.4128    5.8728];

scale=0.5;
axis_length =Rm/3;;
animate = false;
nsect =18;
visualize_3daxi