
xyz=get(geom3d,'values');
box =reshape([min(xyz);max(xyz)],1,6);
annloc=[mean(box(1:2)), mean(box(3:4))-mean(box(1:2)), mean(box(5:6))];
bg=mesh_bdry(gcells,struct('other_dimension', 0.001));
bfeb = feblock(struct ('gcells',bg));
gv=graphic_viewer;
gv=reset (gv,struct('limits',  limits));
w=clone(u,'w'); % make a copy of u
for i=1:neigvs
    disp(['  Eigenvector ' num2str(i) ' frequency ' num2str(sqrt(Omega(ix(i),ix(i)))/2/pi) ' [Hz]']);
    %         clf;
    w = scatter_sysvec(w, W(:,ix(i)));
    wv = get(w,'values');
    wmag = real (sqrt(wv(:,1).^2+wv(:,2).^2+wv(:,3).^2));
    dcm=data_colormap(struct ('range',[min(wmag),max(wmag)], 'colormap',jet));
    colors=map_data(dcm, wmag);
    colorfield = field(struct ('name',['cf'], 'dim', 3, 'data',colors));
    if (animate )
        for xscale=scale*sin((0:1:42)/21*2*pi)
            gv=reset (gv,[]); set_graphics_defaults;
            camset(gv,Camera);
            for theta=linspace(0,2*pi,nsect)
                R=rotmat ([0,theta,0]);
                wt = field(struct ('name',['wt'], 'dim', 3, 'data',(wv*C(ell,theta))*R'));
                geom3dt = field(struct ('name',['wt'], 'dim', 3, 'data',xyz*R'));
                draw(feb, gv, struct ('x', geom3dt, 'u', xscale*wt,'colorfield',colorfield));
            end
            draw_text(gv, annloc,['  Eigenvector ' num2str(i) '\newline     ' num2str(sqrt(Omega(ix(i),ix(i)))/2/pi) ' [Hz]'],...
                struct('fontsize', 18));
            axis off
            draw_axes (gv,struct('length',axis_length));
            pause(0.005);
        end
        %     saveas(gcf, ['twist_t4-' num2str(i) '.png'], 'png');
        pause(2); % next eigenvector
    end
    gv=reset (gv,[]); set_graphics_defaults
    camset(gv,Camera);
    for theta=linspace(0,2*pi,nsect)
        R=rotmat ([0,theta,0]);
        wt = field(struct ('name',['wt'], 'dim', 3, 'data',(wv*C(ell,theta))*R'));
        geom3dt = field(struct ('name',['wt'], 'dim', 3, 'data',xyz*R'));
        draw(feb, gv, struct ('x', geom3dt, 'u', scale*wt,'colorfield',colorfield));
    end
    draw(feb,gv, struct ('x', geom3d,'u',0*w,'facecolor','yellow','edgecolor',.53+[0, 0, 0],'alpha', 0.2));
    draw_text(gv, annloc,['  Eigenvector ' num2str(i) '\newline     ' num2str(sqrt(Omega(ix(i),ix(i)))/2/pi) '  [Hz]'],...
        struct('fontsize', 18));
    axis off
    draw_axes (gv,struct('length',axis_length));
    rotate (gv);
    pause(3.0);
    
end