function cookstrain_infsup

Omegatol=sqrt(10000*eps);
    aspect=1;
    smult=0;
    % Data: Auricchio et al. CMAME 194 (2005) 2947-2968
    %     Q4E6/Q4, T3E4(I)/T3
        lambda = 0.75;
        G= 0.375;
        convutip=21.52;% for 128x128 mesh
        convutip=21.5248;% with Richardson extrapolation
        convutip=21.520546120383315;% with Richardson extrapolation, Q4 with selective reduce integration
        refh=44./[4,16,64];
        Q4refuerr=abs(convutip-[20.741,21.487,21.576])/convutip;
        T3refuerr=abs(convutip-[15.631,20.901,21.47])/convutip;

%     lambda = 0.75e7;
%     G= 0.375;
%     convutip=16.442;% for 128x128 mesh
%     convutip=16.4433;% with Richardson extrapolation for Q4
%     convutip=16.45;% with Richardson extrapolation
%     refh=44./[4,16,64];
%     Q4refuerr=abs(convutip-[15.705,16.359,16.476])/convutip;
%     T3refuerr=abs(convutip-[12.662,15.98,16.391])/convutip;


    nu =1/2*lambda/(G+lambda)
    E=G*(3*lambda+2*G)/(G+lambda);

    Meshf=@T3_block; ne=[2,3,4, 5, 6,7,8, 10, 12, 16];
    Convertf=[];
    integration_rule =simplex_nq_rule(struct('dim',2,'order',1));
    febf =@feblock_defor_ss_nice;
    Style ='m^-'; lineWIDTH=3; Label='NICE-T3';
% % 
%     Meshf=@block2d; ne=[2,3,4, 5, 6,7,8, 10, 12, 16];
%     integration_rule =tensprod_nq_rule(struct('dim',2,'order',1));
%     febf =@feblock_defor_ss_nice;
%     Style ='md-'; lineWIDTH=3; Label='NICE-Q4';

    Meshf=@T3_block; ne=[2,3,4, 5, 6,7,8, 10];
    Convertf=@T3_to_T6; 
    integration_rule =simplex_nq_rule(struct('dim',2,'order',3));
    febf =@feblock_defor_ss_nice;
    Style ='rh-'; lineWIDTH=3; Label='NICE-T6';
    

%     Meshf=@T3_block; ne=[2,3,4, 5, 6,7,8, 10];
%     Convertf=@T3_to_T6; 
%     integration_rule =tri_rule(6);
%     febf =@feblock_defor_ss;
%     Style ='kx-'; lineWIDTH=3; Label='T6';
    
    
%     Meshf=@Q4_block; ne=[2,3,4, 5, 6,7,8, 10];
% Convertf=@Q4_to_Q9; 
%     integration_rule =tensprod_nq_rule(struct('dim',2,'order',2));
%     febf =@feblock_defor_ss_nice;
%     Style ='ms-'; Label='NICE-Q9';



%     Meshf=@Q4_block; ne=[2,3,4, 5, 6,7,8, 10];
% Convertf=@Q4_to_Q9;
%     integration_rule =gauss_rule(2, 3);
%     febf =@feblock_defor_ss;
%     Style ='ms-'; Label='Q9';


    %     Meshf=@Q4_block; ne=[2,3,4, 5, 6,7,8];
    % Convertf=@Q4_to_Q16;
    %     integration_rule =gauss_rule(2, 4);
    %     febf =@feblock_defor_ss;
    %     Style ='ms-'; Label='Q16';


%     Meshf=@ct3block2d; ne=[2,3,4, 5, 6,7,8, 10, 12, 16];
%     Convertf=[]; 
%     integration_rule =tri_rule(1);
%     febf =@feblock_defor_ss;
%     Style ='r^-'; lineWIDTH=3; Label='T3';

% % 
%     Meshf=@block2d; ne=[2,3,4, 5, 6,7,8, 10, 12, 16];
% Convertf=[]; 
%         integration_rule = gauss_rule(2, [1 2]);
%     febf =@feblock_defor_ss_sri;
%     Style ='gs-'; lineWIDTH=3; Label='Q4-SRI';

%     Meshf=@block2d; ne=[2,3,4, 5, 6,7,8, 10, 12, 16];
% Convertf=[]; 
%     integration_rule = gauss_rule(2, 2);
%     febf =@feblock_defor_ss;
%     Style ='go-'; lineWIDTH=3; Label='Q4';




    % OPT element (Felippa)
    %     loglog(44./[2, 4, 8, 16, 32, 64],(convutip-[20.56, 22.45, 23.43, 23.80, 23.91, 23.95])/convutip,'ko:','lineWIDTH', 2); hold on; figure (gcf); pause (1)

    % Mesh
    h=[];
    alpha=[];
    utip=[];
    magn=1;
%     for n=[4,8,16,32]
    for n=ne
% for n=[2,4,6, 8]
%             for n=[2,4,8,16,24,32,64,128]
%         for n=[4]
        options =struct('other_dimension', 1.0);
        [fens,gcells] = Meshf(48,44, n, aspect*n, options);
        dxy=min(48,44)/n/aspect/100;
        sxy=smult*dxy;
        rand('state',[0.3085,0.4953,0.0143,0.3137,0.7750,0.8827,0.6275,0.5996,0.3557,0.8033,0.4425,0.3749,0.3086,0.6245,0.0244,0.0309,0.1962,0.2670,0.8672,0.8259,0.3590,0.6446,0.3018,0.6694,0.5783,0.3251,0.0024,0.9082,0.4464,0.0331,0.9344,0.0261,0,0.0000,0.0000]');
        xy=get(fens,'xyz');
        for i=1:length(fens)
            if (xy(i,1)>dxy) & (xy(i,2)>dxy) & (xy(i,1)<48-dxy) & (xy(i,2)<44-dxy)
                xy(i,:)=[xy(i,1)+(2*rand(1)-1)/2*sxy,xy(i,2)+(2*rand(1)-1)/2*sxy];
            end
        end
        fens=set(fens,'xyz',xy);
        xy=get(fens,'xyz');
        for i=1:length(fens)
            y=xy(i,2) + (xy(i,1)/48)*(44 -xy(i,2)/44*28);
            xy(i,:) =[xy(i,1) y];
        end
        fens=set(fens,'xyz',xy);
        if (~isempty( Convertf ))
            [fens,gcells] = Convertf(fens,gcells, options);
        end
%             mesh{1}=fens;
%             mesh{2}=gcells;
%             drawmesh(mesh); view(2); pause (1)
        propm = property_linel_iso(struct('E',E,'nu', nu));
        mater = mater_defor_ss_linel_biax (struct ('property',propm,'reduction','strain'));
        feb = febf(struct ('mater',mater, 'gcells',gcells, 'integration_rule',integration_rule));
        febSh = feblock_defor_ss(struct ('mater',mater, 'gcells',gcells, 'integration_rule',integration_rule));

        % Geometry
        geom = field(struct ('name',['geom'], 'dim', 2, 'fens',fens));
        % Define the displacement field
        u   = clone(geom,'u');
        u   = u*0; % zero outfunction five
        % Apply EBC's
        ebc_fenids=fenode_select (fens,struct('box',[0,0,0, 44],'inflate',44/10000));
        ebc_prescribed=ones(1,length (ebc_fenids));
        ebc_comp=[];
        ebc_val=ebc_fenids*0;
        u   = set_ebc(u, ebc_fenids, ebc_prescribed, ebc_comp, ebc_val);
        u   = apply_ebc (u);
        u = apply_ebc (u);
        u   = numbereqns (u);
        % Assemble the system matrix
        Gh = start (sparse_sysmat, get(u, 'neqns'));
        Gh = assemble (Gh, infsup_Gh(feb, geom, u));
        Ghm =full (get(Gh,'mat'));
        Sh = start (sparse_sysmat, get(u, 'neqns'));
        Sh = assemble (Sh, infsup_Sh(feb, geom, u));
        Shm=full (get(Sh,'mat'));
        [modes,Omega]=eig(Ghm,Shm);
        absOmega =diag(Omega);
        ix=find(absOmega<0);
        absOmega(ix)=0;
        absOmega =sqrt(sort(absOmega))';
%         loglog(absOmega,Style); hold on; pause(1);
        ix=find(absOmega>Omegatol);
        ix(1)-(2*get(u, 'neqns')-get(u, 'neqns')+1)
%         rank(Shm)-rank(Ghm)
%         ix(1)
        alpha=[alpha,absOmega(ix(1))]
        h=[h,1/sqrt(count(fens))];

    end
    disp(Label);
    
    loglog(h,alpha,Style,'lineWIDTH', lineWIDTH); hold on
    set(gca,'YLim', [0.01, 1.0]);
    font='Times';
    xlabel ('1/N')
    ylabel ('\alpha')
    h=legend(Label,'Location','Southeast');
    set (h,'FontSize', 16);
    set(gca,'Position',[0.15 0.15 0.5 0.5]);
    set(gca,'FontSize',14);
    set(gca,'FontName',font)
    l=get(gca,'xlabel');
    set (l,'FontSize',16);
    set(l,'FontName',font)
    l=get(gca,'ylabel');
    set (l,'FontSize',16);
    set(l,'FontName',font)
    hold on; grid on; figure (gcf);
%     print(gcf, '-r0', [mfilename '-' Label '.eps'],'-deps2c');
    figure(gcf)
    %     disp([h;minOmega]);
%     [xestim, beta, residual] = richextrapol(utip(end-2:end),h(end-2:end))
end
