font='Times';
Legends = {};

 convutip=21.523447904462724;% with Richardson extrapolation
        refh=44./[4,16,64];
        Q4refuerr=abs(convutip-[20.741,21.487,21.576])/convutip;
        T3refuerr=abs(convutip-[15.631,20.901,21.47])/convutip;


loglog(refh,Q4refuerr,'ko:','lineWIDTH', 2); hold on;
Legends{end+1} ='Q4E6/Q4';

loglog(refh,T3refuerr,'k<:','lineWIDTH', 2); hold on;
Legends{end+1} ='T3E4(I)/T3';

data=[11.0000    5.5000    2.7500    1.3750
   17.7377   20.3232   21.1726   21.4184
    ];
h=data(1,:);utip=abs(convutip-data(2,:))/convutip;
loglog(h,utip,'ks--','lineWIDTH', 2); hold on;
Legends{end+1} ='Q4-SRI';

data=[22.0000   11.0000    5.5000    2.7500
   20.793542591809462  21.381245160522518  21.478560220978618  21.500887448687301];
h=data(1,:);utip=abs(convutip-data(2,:))/convutip;
loglog(h,utip,'kx-','lineWIDTH', 2); hold on;
Legends{end+1} ='T6';

data=[11.0000    5.5000    2.7500    1.3750
   18.8652   20.7655   21.2975   21.4384 ];
h=data(1,:);utip=abs(convutip-data(2,:))/convutip;
loglog(h,utip,'md-','lineWIDTH', 2); hold on;
Legends{end+1} ='NICE-Q4';

data=[11.0000    5.5000    2.7500    1.3750
   24.4439   22.4181   21.7551   21.5982
];
h=data(1,:);utip=abs(convutip-data(2,:))/convutip;
loglog(h,utip,'m^-','lineWIDTH', 2); hold on;
Legends{end+1} ='NICE-T3';

data=[22.0000   11.0000    5.5000    2.7500
   21.492787200370380  21.543329620992829  21.526278584933301  21.523813902688691
];
h=data(1,:);utip=abs(convutip-data(2,:))/convutip;
loglog(h,utip,'rh-','lineWIDTH', 2); hold on;
Legends{end+1} ='NICE-T6';

set(gca,'XLim', [0.05, 30]);
xlabel ('mesh size')
ylabel ('normalized displ error')
legend(Legends,'Location','Northwest')
set(gca,'Position',[0.15 0.15 0.5 0.5]);
set_label_defaults
hold on; grid on; figure (gcf);
% saveas(gcf,[mfilename '.png']);
%  printeps(gcf,[mfilename '.eps']);
 close  all