font='Times';
Legends = {};
Data = {};
Style = {};



Data{end+1}=[
  1./(2:11)
 0.3459    0.1527    0.0121    0.0001    0.0009    0.0008    0.0008    0.0010    0.0012    0.0010
];Style{end+1}='m^-';Legends{end+1} ='NICE-T4';

Data{end+1}=[
  1./(2:11)
 0.4584    0.3524    0.0144    0.0006    0.0012    0.0005    0.0008    0.0005    0.0007    0.0004
];Style{end+1}='md-';Legends{end+1} ='NICE-H8';


Data{end+1}=[
  1./(2:5)  
    0.1839    0.0020    0.0018    0.0014
];Style{end+1}='mh-';Legends{end+1} ='NICE-H27';



for j=1:length(Data)
    data=Data{j};
    h=data(1,:); utip=data(2,:);
    loglog(h,utip,Style{j},'lineWIDTH', 3); hold on;
%     loglog(h,abs(utip-uzex)/uzex,Style{j},'lineWIDTH', 3); hold on;
end

set(gca,'XLim', [4e-2, 1]);
set(gca,'YLim', [1e-4, 1e-0]);
xlabel ('log(1/number of elements per side)')
ylabel ('log(inf-sup \lambda)')
legend(Legends,'Location','Northwest')
set(gca,'Position',[0.15 0.15 0.5 0.5]);
set(gca,'FontSize',12);
set(gca,'FontName',font)
l=get(gca,'xlabel');
set (l,'FontSize',14);
set(l,'FontName',font)
l=get(gca,'ylabel');
set (l,'FontSize',14);
set(l,'FontName',font)
hold on; grid on; figure (gcf);
% saveas(gcf,[mfilename '.eps'],'eps2c');