font='Times';
Legends = {};
Data = {};
Style = {};

% loadv=[0;0;p];dir=3;uzex=5.426e-3;
% loadv=[0;p;0];dir=2;
uzex=1.756e-3;

Data{end+1}=[
   2.0000e+000   2.0000e+001
  uzex uzex
]; Style{end+1}='k--'; Legends{end+1} ='Ref';



%NICE-T4: number of equations =108
%     Normalized displacement =1.1916
%NICE-T4: number of equations =600
%     Normalized displacement =1.0971
%NICE-T4: number of equations =1764
%     Normalized displacement =1.0456
%NICE-T4: number of equations =3888
%     Normalized displacement =1.0258
Data{end+1}=[
  4.0000e+000  8.0000e+000  1.2000e+001  1.6000e+001
  2.0924e-003  1.9266e-003  1.8361e-003  1.8013e-003

];Style{end+1}='m^-';Legends{end+1} ='NICE-T4';
%NICE-H8: number of equations =108
%     Normalized displacement =0.89832
%NICE-H8: number of equations =600
%     Normalized displacement =0.95611
%NICE-H8: number of equations =1764
%     Normalized displacement =0.97652
%NICE-H8: number of equations =3888
%     Normalized displacement =0.98501
Data{end+1}=[
  4.0000e+000  8.0000e+000  1.2000e+001  1.6000e+001
  1.5774e-003  1.6789e-003  1.7148e-003  1.7297e-003

];Style{end+1}='md-';Legends{end+1} ='NICE-H8';

%NICE-T4d: number of equations =108
%     Normalized displacement =1.3809
%NICE-T4d: number of equations =600
%     Normalized displacement =1.1411
%NICE-T4d: number of equations =1764
%     Normalized displacement =1.0645
%NICE-T4d: number of equations =3888
%     Normalized displacement =1.0361
Data{end+1}=[
   4.000000000000000   8.000000000000000 12.000000000000000  16.000000000000000
   0.002424924680736   0.002003777679822  0.001869266413999   0.001819454527201
];Style{end+1}='r<-';Legends{end+1} ='NICE-T4d';

%T10: number of equations =108
%     Normalized displacement =0.47598
%T10: number of equations =600
%     Normalized displacement =0.89006
%T10: number of equations =1764
%     Normalized displacement =0.96212
Data{end+1}=[
  2.0000e+000  4.0000e+000  6.0000e+000
  8.3582e-004  1.5630e-003  1.6895e-003

];Style{end+1}='kv--';Legends{end+1} ='T10';
%H27: number of equations =108
%     Normalized displacement =0.76063
%H27: number of equations =600
%     Normalized displacement =0.94056
%H27: number of equations =1764
%     Normalized displacement =0.97803
Data{end+1}=[
  2.0000e+000  4.0000e+000  6.0000e+000
  1.3357e-003  1.6516e-003  1.7174e-003

];Style{end+1}='ks-';Legends{end+1} ='H27';
%NICE-H27: number of equations =108
%     Normalized displacement =0.96286
%NICE-H27: number of equations =600
%     Normalized displacement =0.99123
%NICE-H27: number of equations =1764
%     Normalized displacement =0.99485
Data{end+1}=[
  2.0000e+000  4.0000e+000  6.0000e+000
  1.6908e-003  1.7406e-003  1.7470e-003

];Style{end+1}='mh-';Legends{end+1} ='NICE-H27';
%H20R: number of equations =72
%     Normalized displacement =0.95566
%H20R: number of equations =360
%     Normalized displacement =0.9956
%H20R: number of equations =1008
%     Normalized displacement =0.99779
Data{end+1}=[
  2.0000e+000  4.0000e+000  6.0000e+000
  1.6781e-003  1.7483e-003  1.7521e-003

];Style{end+1}='ro-';Legends{end+1} ='H20R';
%NICE-H20: number of equations =72
%     Normalized displacement =0.76199
%NICE-H20: number of equations =360
%     Normalized displacement =0.94468
%NICE-H20: number of equations =1008
%     Normalized displacement =0.97754
Data{end+1}=[
  2.0000e+000  4.0000e+000  6.0000e+000
  1.3381e-003  1.6589e-003  1.7166e-003

];Style{end+1}='mo--';Legends{end+1} ='NICE-H20';
%H20: number of equations =72
%     Normalized displacement =0.74322
%H20: number of equations =360
%     Normalized displacement =0.93681
%H20: number of equations =1008
%     Normalized displacement =0.97718
Data{end+1}=[
  2.0000e+000  4.0000e+000  6.0000e+000
  1.3051e-003  1.6450e-003  1.7159e-003

];Style{end+1}='k>--';Legends{end+1} ='H20';


for j=1:length(Data)
    data=Data{j};
    h=data(1,:); utip=data(2,:);
    plot(h,utip,Style{j},'lineWIDTH', 2); hold on;
%     loglog(h,abs(utip-uzex)/uzex,Style{j},'lineWIDTH', 2); hold on;
end

% set(gca,'XLim', [100, 1000]);
% set(gca,'YLim', [0.e-3, 2.25e-3]);
xlabel ('number of elements per side')
ylabel ('displacement')
legend(Legends,'Location','Southeast')
set(gca,'Position',[0.15 0.15 0.5 0.5]);
set_label_defaults
hold on; grid on; figure (gcf);
% saveas(gcf,[mfilename '.png']);
%  printeps(gcf,[mfilename '.eps']);
%  close  all