
R=5.0;% radius of the sphere, millimeters
nR=3;
Ro=nR*R; % Outer radius, millimeters
nperR=6;%
nlayers=nperR;

tol=R/nperR/1000;

% % %     % Mesh

[fens,gcells]=H8_sphere_n(R,nperR);
gcells =set(gcells,'label', 1 );
gv=drawmesh({fens,gcells},'gcells','facecolor','red');

[fens1,gcells1] = mirror_mesh(fens, gcells, [-1,0,0], [0,0,0], @(c)c([1, 4, 3, 2, 5, 8, 7, 6]));
gcells1 =set(gcells1,'label', 2);
gv=drawmesh({fens1,gcells1},'gcells','facecolor','yellow','gv',gv);

clear options
options. facing=true;
options. direction=[-1,1,1];
bdry_gcells=mesh_bdry(gcells1);
Intl=gcell_select(fens1, bdry_gcells, options);
[fens1,gcells1] = Q4_extrude(fens1,subset(bdry_gcells,Intl),nlayers,@(xyz, layer)(R+layer/nlayers*(Ro-R))*xyz/norm(xyz));
gv=drawmesh({fens1,gcells1},'gcells','facecolor','yellow');

clear options
options. facing=true;
options. direction=[1,1,1];
bdry_gcells=mesh_bdry(gcells);
Intl=gcell_select(fens, bdry_gcells, options);
[fens,gcells] = Q4_extrude(fens,subset(bdry_gcells,Intl),nlayers,@(xyz, layer)(R+layer/nlayers*(Ro-R))*xyz/norm(xyz));
gv=drawmesh({fens,gcells},'gcells','facecolor','red','gv',gv);


[fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, eps);
    gcells= cat(gcells1,gcells2);
    clear fens1 gcells1 gcells2

connected = find_unconn_fens(fens, gcells);
[fens, new_numbering] =compact_fens(fens, connected);
gcells = renumber_gcell_conn(gcells, new_numbering);

% gv=drawmesh({fens,subset(gcells,gcell_select(fens, gcells, struct('label' ,1)))},'gcells','facecolor','red');
% gv=drawmesh({fens,subset(gcells,gcell_select(fens, gcells, struct('label' ,2)))},'gcells','facecolor','yellow','gv',gv);
