% Extract the numbers of the gcells   connected to given nodes. 
%
% function cg = connected_gcells(gcells, node_list)
%
% Extract the list of numbers for the gcells  that 
%  are connected to given nodes. 
% 
function cg = connected_gcells(gcells, node_list)
conn= get(gcells,'conn');
cg=zeros(size(conn,1),1);
for j=1:size(conn,1)
	cg(j)= (~isempty( intersect(conn(j,:), node_list) ));
end
cg =find(cg~=0);
end
