% PRIVATE
%
% Files
%   local_cartesian_to_natural    - Transformation from local Cartesian displacements to natural deformations 
%   local_coriolis                - Compute the local Coriolis matrix for the inclusion of the element's spin about its own axis.
%   local_frames                  - Compute the current length of the element, the current element frame, 
%   local_geometric_stiffness     - Compute the local geometric stiffness matrix. 
%   local_geometric_stiffness_2nd - Compute the local geometric stiffness matrix. 
%   local_mass                    - Compute the local Mass matrix of the beam.
%   local_forces                  - Compute forces through which the element acts on the nodes in the
%   local_stiffness               - Compute the local elastic stiffness matrix. 
%   natural_forces                - Compute the natural forces from the natural deformations.
%   natural_stiffness             - Compute the natural stiffness matrix.
