clear all
u=  physical_units_struct;
E=205000*u.MEGA*u.PA;% Young's modulus
nu=0.3;% Poisson ratio
rho=7850*u.KG*u.M^-3;% mass density
OmegaShift=(2*pi*100) ^ 2;
Rm=0.5*u.M;
h=0.05*u.M;
l=10*h;
Rm=h/0.2;
% Cylinder
psi  =0; c= [0.1496, 0.1942, 0.7564, 1.0553];
% Truncated conical shell
% psi  =36.87; c= [0.100490];
% psi  =14.48; c= [0.128162];
nh=3; nl =16; nc=36;
tolerance=h/nh/100;
graphics = ~false;
neigvs=20;
