
limits =reshape([min(get(geom,'values'))- 0.01*Rm;max(get(geom,'values'))+ 0.01*Rm], 6, 1);

Camera = [ 4.2933    7.2184    2.5286    0.0347    0.1784    0.0438   -0.7075    0.5737   -0.4128    5.8728];

xyz=get(geom,'values');
box =reshape([min(xyz);max(xyz)],1,6);
annloc=[mean(box(1:2)), mean(box(3:4))-mean(box(1:2)), mean(box(5:6))-1.4*Rm];
bg=mesh_bdry(gcells,struct('other_dimension', 0.001));
bfeb = feblock(struct ('gcells',bg));
gv=graphic_viewer;
gv=reset (gv,struct('limits',  limits));
scale=1.0;
w=clone(u,'w'); % make a copy of u
for i=7:neigvs
    disp(['  Eigenvector ' num2str(i) ' frequency ' num2str(sqrt(Omega(ix(i),ix(i)))/2/pi) ' [Hz]']);
    %         clf;
    w = scatter_sysvec(w, W(:,ix(i)));
    wv = get(w,'values');
    wmag = real (sqrt(wv(:,1).^2+wv(:,2).^2+wv(:,3).^2));
    dcm=data_colormap(struct ('range',[min(wmag),max(wmag)], 'colormap',jet));
    colors=map_data(dcm, wmag);
    colorfield = field(struct ('name',['cf'], 'dim', 3, 'data',colors));
    for xscale=scale*sin((0:1:42)/21*2*pi)
        gv=reset (gv,[]);
        camset(gv,Camera);
        draw(bfeb, gv, struct ('x', geom, 'u', xscale*w,'colorfield',colorfield));
        draw_text(gv, annloc,['  Eigenvector ' num2str(i) '\newline     ' num2str(sqrt(Omega(ix(i),ix(i)))/2/pi) ' [Hz]'],...
            struct('fontsize', 18));
        axis off
        draw_axes (gv,struct('length',Rm/3));
        pause(0.005);
    end
    %     saveas(gcf, ['twist_t4-' num2str(i) '.png'], 'png');
    pause(2); % next eigenvector
    gv=reset (gv,[]);
    camset(gv,Camera);
    draw(bfeb, gv, struct ('x', geom, 'u', scale*w,'colorfield',colorfield));
    draw(feb,gv, struct ('x', geom,'u',0*w,'facecolor','yellow','edgecolor',.53+[0, 0, 0],'alpha', 0.2));
    draw_text(gv, annloc,['  Eigenvector ' num2str(i) '\newline     ' num2str(sqrt(Omega(ix(i),ix(i)))/2/pi) '  [Hz]'],...
        struct('fontsize', 18));
    axis off
    draw_axes (gv,struct('length',Rm/3));
    pause(0.55);
        saveas(gcf, ['images' filesep mfilename  '-PSI' num2str(psi)    '-mode'      num2str(i) '.png'], 'png');
    
end