function Lframe_bending
    E = 71240;
    %     [x,y]=solve ('400889.8-x/3/( 1-2*y)','80.194-x/2/(1+y)')
    nu=.31;
    %     nu=.0;
    stabfact = 15*E;
    rho=5e-9;
    Fmag= 20;
    utol = 1e-8;
    nincr = 30;
    graphics = ~false;
    Cam =1.0e+003 * [  -1.4407   -0.8522    1.1901    0.1089    0.1350   -0.0492         0         0    0.0010    0.0062];
    scale=1;
    nw = 1;
    nL = 2;
    nt = 1;
    L=255;
    w=30;
    t= 5;

    %
    function [fens,gcells] = h8T4(nt)
        [fens,gcells]=t4blockc2(1.0, 1.0, 1.0, nt(1),nt(2),nt(3));
    end
    function [fens,gcells] = h8T4d(nt)
        [fens,gcells]=t4blocka(1.0, 1.0, 1.0, nt(1),nt(2),nt(3));
        [fens1,gcells1]=t4blockb(1.0, 1.0, 1.0, nt(1),nt(2),nt(3));
        [fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens, gcells, 1/1000);
        gcells=cat(2,gcells1,gcells2);
    end
    function [fens,gcells] = h8H8(nt)
        [fens,gcells]=block(1.0, 1.0, 1.0, nt(1),nt(2),nt(3));
    end
    function [fens,gcells] = h8H27(nw,nL)
        [fens,gcells] = Lframe_Mesh(L,w,t,nw,nL,nt);
        [fens,gcells] = H8_to_H27(fens,gcells);
    end
    function [fens,gcells] = h8H64(nt)
        [fens,gcells]=block(1.0, 1.0, 1.0, nt(1),nt(2),nt(3));
        [fens,gcells] = H8_to_H64(fens,gcells);
    end

    eix=1;
    clear eltyd

    % eltyd(eix).label ='T4';
    % eltyd(eix).mf =@h8T4;
    % eltyd(eix).blf =@feblock_defor_ss;
    % eltyd(eix).integration_rule= tet_rule(1);
    % eltyd(eix).surface_integration_rule=tri_rule(1);
    % eltyd(eix).styl='rv-.';
    % eix=eix+1;
    %
    % eltyd(eix).label ='H8';
    % eltyd(eix).mf =@h8H8;
    % eltyd(eix).blf =@feblock_defor_nonlinear;
    % eltyd(eix).integration_rule= gauss_rule (3,2);
    % eltyd(eix).surface_integration_rule=gauss_rule (2,2);
    % eltyd(eix).styl='rx-.';
    % eix=eix+1;

    %     eltyd(eix).label ='NICE-H8';
    %     eltyd(eix).mf =@h8H8;
    %     eltyd(eix).blf =@feblock_defor_nonlinear_nice;
    %     eltyd(eix).integration_rule= tensprod_nq_rule (struct('dim',3,'order',1));
    %     eltyd(eix).surface_integration_rule=tensprod_nq_rule(struct('dim',2,'order',1));
    %     eltyd(eix).styl='rx-.';
    %     eix=eix+1;

    %     eltyd(eix).label ='NICE-T4';
    %     eltyd(eix).mf =@h8T4;
    %     eltyd(eix).blf =@feblock_defor_nonlinear_nice;
    %     eltyd(eix).integration_rule= simplex_nq_rule (3);
    %     eltyd(eix).surface_integration_rule=tri_rule(1);
    %     eltyd(eix).styl='m^-';
    %     eix=eix+1;


    % eltyd(eix).label ='NICE-T4d';
    % eltyd(eix).mf =@h8T4d;
    % eltyd(eix).blf =@feblock_defor_nonlinear_nice;
    % eltyd(eix).integration_rule= simplex_nq_doubled_rule (3);
    % eltyd(eix).surface_integration_rule=simplex_nq_doubled_rule (2);
    % eltyd(eix).styl='m^-';
    % eix=eix+1;

        eltyd(eix).label ='H27';
        eltyd(eix).mf =@h8H27;
        eltyd(eix).blf =@feblock_defor_nonlinear;
        eltyd(eix).integration_rule=gauss_rule (3,3);
        eltyd(eix).surface_integration_rule=gauss_rule(2, 3);
        eltyd(eix).styl='ks-';
        eix=eix+1;

    %     eltyd(eix).label ='NICE-H27';
    %     eltyd(eix).mf =@h8H27;
    %     eltyd(eix).blf =@feblock_defor_nonlinear_nice;
    %     eltyd(eix).integration_rule=tensprod_nq_rule (struct('dim',3,'order',2));
    %     eltyd(eix).surface_integration_rule=tensprod_nq_rule (struct('dim',2,'order',2));
    %     eltyd(eix).styl='mh-';
    %     eix=eix+1;

    % eltyd(eix).label ='H20R';
    % eltyd(eix).mf =@uh8cylH20;
    % eltyd(eix).blf =@feblock_defor_ss;
    % eltyd(eix).integration_rule=gauss_rule (3,2);
    % eltyd(eix).surface_integration_rule=gauss_rule(2, 2);
    % eltyd(eix).styl='ro-';
    % eix=eix+1;
    % %

    % eltyd(eix).label ='NICE-H64';
    % eltyd(eix).mf =@h8H64;
    % eltyd(eix).blf =@feblock_defor_nonlinear_nice;
    % eltyd(eix).integration_rule=tensprod_nq_rule (struct('dim',3,'order',3));
    % eltyd(eix).surface_integration_rule=tensprod_nq_rule (struct('dim',2,'order',3));
    % eltyd(eix).styl='mh-';
    % eix=eix+1;

    function Compute
        %          Mesh
        [fens,gcells] = eltyd(eix).mf (nw, nL);
        %         [fens, gcells]=renum_mesh(fens, gcellsAnd, 'symrcm');
        feb = eltyd(eix).blf (struct ('mater',[], 'gcells',gcells));
        %     [fens, gcells]=renum_mesh_renumber(fens, gcells,...
        %         renum_mesh_numbering(fens,genconn(feb), 'symrcm'));
        [fens, gcells]=renum_mesh_renumber(renum_mesh_numbering(fens,genconn(feb), 'symamd'),fens, gcells);
        bgcells =mesh_bdry(gcells, []);
        icl = gcell_select(fens, bgcells, struct('box', [-Inf,Inf,0,0,-Inf,Inf],'inflate',1/100));
        %          gv=drawmesh( {fens,gcells},'facecolor','none'); gv=drawmesh( {fens,bgcells(icl)},'gv',gv,'facecolor','blue');
        %         view(3); pause(1)
        % Material
        prop = property_linel_iso (struct('E',E,'nu',nu));
        mater = mater_defor_neohook(struct('property',prop));
        % Finite element block
        feb = eltyd(eix).blf (struct ('mater',mater, 'gcells',gcells,...
            'integration_rule',eltyd(eix).integration_rule));
        efeb = eltyd(eix).blf (struct ('mater',mater, 'gcells', subset(bgcells,icl),...
            'integration_rule',eltyd(eix).surface_integration_rule));
        sfeb = eltyd(eix).blf (struct ('mater',mater, 'gcells',bgcells,...
            'integration_rule',eltyd(eix).surface_integration_rule));
        % Geometry
        geom = field(struct ('name',['geom'], 'dim', 3, 'fens',fens));
        % Define the displacement field
        u   = 0*geom; % zero out
        % Apply EBC's
        %         Bottom surface
        ebc_fenids=fenode_select (fens,struct('box',[0,0,-Inf,Inf,-Inf,Inf],'inflate',1/1000));
        ebc_prescribed=ones(1,length (ebc_fenids));
        ebc_comp=[];
        ebc_val=ebc_fenids*0;
        u   = set_ebc(u, ebc_fenids, ebc_prescribed, ebc_comp, ebc_val);

        u   = apply_ebc (u);

        % Number equations
        u   = numbereqns (u);
        % Now comes the nonlinear solution
        tup = 1;
        u = u*0; % zero out the displacement
        utol =         utol*get(u, 'neqns');
        us={};

        if (graphics),
            gv=reset(clear(graphic_viewer,[]),[]);
        end

        K = start (sparse_sysmat, get(u, 'neqns'));
        %         K = start (sparse_colsol_sysmat, get(u, 'neqns'));
        %         K = start (sparse_sysmat, get(u, 'neqns'));

        Frame =0;
        t=0; % time=load magnitude
        incr=1;
        while (incr <= nincr)
            t = t + tup / nincr;
            disp(['Increment ' num2str(incr) ]); % pause
            % Initialization
            u1 = u; % guess
            u1 = apply_ebc(u1);
            du = 0*u; % this will hold displacement increment
            du = apply_ebc(du);
            iter=1;
            %             gv=reset(clear(gv,[]),[]);
            %
            if (graphics),
                gv=reset(clear(gv,[]),[]);
                camset (gv,Cam);
                draw(sfeb,gv, struct ('x', geom,'u',u, 'facecolor','red'));
                axis off
            end
            while 1
                feb1=feb;                                           % Make a copy of the state
                Load=zeros(3,1); Load(3) =-Fmag*t;
                fi=force_intensity(struct('magn',Load));
                F = start (sysvec, get(u, 'neqns'));
                F = assemble (F, distrib_loads(efeb, geom, u, fi, 2));
                [feb1,evs] = restoring_force(feb1,geom,u1,u);       % Internal forces
                F = assemble (F, evs);
                [febstab,evs] = restoring_force_stab(feb1,geom,u1,u,stabfact);       % Internal forces
                F = assemble (F, evs);
                ems=stiffness(feb1, geom, u1,u);% Current material stiffness
                K = assemble (K, ems);
                ems =stiffness_geo(feb1, geom, u1,u); % Current geometric stiffness
                K = assemble (K, ems);
                ems =stiffness_stab(feb1, geom, u1,u,stabfact); % Current geometric stiffness
                K = assemble (K, ems);
                %                 K = external_decomposition (K,  []);
                du = scatter_sysvec(du, K\F); % Displacement increment
                %                 max(abs(get(F,'vec')))
                u1 = u1 + du;                                       % increment displacement
                K = reinitialize (K);
                %                 draw(sfeb,gv, struct ('x', geom,'u',u1, 'facecolor','none'));
                if graphics,
                    draw(sfeb,gv, struct ('x', geom,'u',u1, 'facecolor','none'));
                    pause(0.5); Cam =camget(gv);
                    %                     print(gcf, '-r50', [mfilename n2s0p(Frame) '.png'], '-dpng');
                    Frame = Frame+1;
                end
                disp(['   It. ' num2str(iter) ': ||du||=' num2str(norm(du))]);
                if (max(abs(gather(du,[],'values'))) < utol) break; end;                    % convergence check
                iter=iter+1;
            end
            [feb,ignore] = restoring_force(feb,geom,u1,u);        % final update
            disp(['    Converged for t=' num2str(t)]); % pause
            u = u1;                                               % update the displacement
            if graphics
                gv=reset(clear(gv,[]),[]);
                camset (gv,Cam);
                %             draw(sfeb,gv, struct ('x', geom,'u',u, 'facecolor','red'));
                %             draw(sfeb,gv, struct ('x', geom,'u',0*u, 'facecolor','none'));
                %                 fld = field_from_integration_points(feb, geom, u1, [], 'pressure',1);
                %                 nvals=get(fld,'values');%min(nvals),max(nvals)
                %                 nvalsrange=[min(nvals),max(nvals)];
                %                 dcm=data_colormap(struct ('range',nvalsrange, 'colormap',cmap));
                %                 colorfield=field(struct ('name', ['colorfield'], 'data',map_data(dcm, nvals)));
                %                 draw(sfeb,gv, struct ('x', geom, 'u', +scale*u,'colorfield',colorfield, 'shrink',1.0));
                draw(sfeb,gv, struct ('x', geom,'u',u, 'facecolor','red'));
                axis off
%                 print(gcf, '-r50', [mfilename n2s0p(Frame) '.png'], '-dpng');
                    Frame = Frame+1;
                % draw(efeb,gv, struct ('x', geom, 'u', 0*u,'facecolor','red', 'shrink',1.0));
                %                 colormap(cmap);
                %                 cbh=colorbar;
                %                 set(cbh,...
                %                     'Position',[0.815 0.15 0.05 0.7],...
                %                     'YLim',[0,1],...
                %                     'YTick',[0,1],...
                %                     'YTickLabel',{[num2str(nvalsrange(1))],[num2str(nvalsrange(2))]});%{[num2str((min(nvals)))],[num2str((max(nvals)))]}
                %                 set(get(cbh,'XLabel'),'String','pressure');
                pause(0.5); Cam =camget(gv);
            end
            us{end+1} =u;
            %             utip=gather(u,cncl,'values','noreshape');
            %             disp(['     center Compression =' num2str(-utip(3))]); % pause
            incr = incr + 1;
        end
        clear K
        %         save ([mfilename  '-nw' num2str(nw)  '-nL' num2str(nL) '-' eltyd(eix).label])
    end

    for eix = 1:length(eltyd)
        Compute;
    end
end