function [fens,gcells] = skewed_rltb_t4(L,W,H,nL,nW,nH)
    a=0.8;b=0.6;c=0.6;d=0.8;
    xyz=[0,0,0;L,0,0;L,a*W,0;0,b*W,0;0,0,H;L,0,H;L,c*W,H;0,d*W,H];
    [fens1,gcells1] = mesh_hexahedron(xyz,nL,nW,nH,@t4block);
    xyz=[0,b*W,0;L,a*W,0;L,W,0;0,W,0;0,d*W,H;L,c*W,H;L,W,H;0,W,H];
    [fens2,gcells2] = mesh_hexahedron(xyz,nL,nW,nH,@t4block);
    [fens,gcells1,gcells2] = merge_meshes(fens1, gcells1, fens2, gcells2, (L+W+H)/(nL*nW*nH)/1000);
    gcells=cat(2,gcells1,gcells2);
end
