font='Times';
Legends = {};
Data = {};
Style = {};

uzex=-0.3024;


%T10: number of equations =1040
%     Normalized displacement =0.42568
%T10: number of equations =2280
%     Normalized displacement =0.66017
%T10: number of equations =4000
%     Normalized displacement =0.8158
Data{end+1}=[
    4.0000    6.0000    8.0000
   -0.1287   -0.1996   -0.2467

];Style{end+1}='kv--';Legends{end+1} ='T10';
%H27: number of equations =1040
%     Normalized displacement =0.73499
%H27: number of equations =2280
%     Normalized displacement =0.87613
%H27: number of equations =4000
%     Normalized displacement =0.92388
Data{end+1}=[
    4.0000    6.0000    8.0000
   -0.2223   -0.2649   -0.2794

];Style{end+1}='ks-';Legends{end+1} ='H27';
%NICE-H27: number of equations =1040
%     Normalized displacement =0.87759
%NICE-H27: number of equations =2280
%     Normalized displacement =0.95799
%NICE-H27: number of equations =4000
%     Normalized displacement =0.9827
Data{end+1}=[
    4.0000    6.0000    8.0000
   -0.2654   -0.2897   -0.2972

];Style{end+1}='mh-';Legends{end+1} ='NICE-H27';
%H20R: number of equations =592
%     Normalized displacement =0.91593
%H20R: number of equations =1284
%     Normalized displacement =0.9457
%H20R: number of equations =2240
%     Normalized displacement =0.97813
Data{end+1}=[
    4.0000    6.0000    8.0000
   -0.2770   -0.2860   -0.2958

];Style{end+1}='ro-';Legends{end+1} ='H20R';
%NICE-H20: number of equations =592
%     Normalized displacement =0.59361
%NICE-H20: number of equations =1284
%     Normalized displacement =0.79649
%NICE-H20: number of equations =2240
%     Normalized displacement =0.90623
Data{end+1}=[
    4.0000    6.0000    8.0000
   -0.1795   -0.2409   -0.2740

];Style{end+1}='mo--';Legends{end+1} ='NICE-H20';
%H20: number of equations =592
%     Normalized displacement =0.66526
%H20: number of equations =1284
%     Normalized displacement =0.82571
%H20: number of equations =2240
%     Normalized displacement =0.90588
Data{end+1}=[
    4.0000    6.0000    8.0000
   -0.2012   -0.2497   -0.2739

];Style{end+1}='k>--';Legends{end+1} ='H20';



for j=1:length(Data)
    data=Data{j};
    h=data(1,:); utip=data(2,:);
%     plot(h,utip/uzex,Style{j},'lineWIDTH', 3); hold on;
    loglog(h,abs((utip-uzex)/uzex),Style{j},'lineWIDTH', 2); hold on;
end

set(gca,'XLim', [1, 10]);
% set(gca,'YLim', [1e-4, 1e-1]);
xlabel ('number of elements per side')
ylabel ('normalized displacement')
legend(Legends,'Location','Southwest')
set(gca,'Position',[0.15 0.15 0.5 0.5]);
set_label_defaults
hold on; grid on; figure (gcf);
% saveas(gcf,[mfilename '.png']);
%  printeps(gcf,[mfilename '.eps']);
 close  all