font='Times';
Legends = {};

nu=0.4999;
uzex= 5.0623e-3;
parshiftmult= 0.5;


data=[
  3.8700e+002  5.5900e+002  7.3100e+002  9.0300e+002
  4.9779e-003  4.9751e-003  4.9760e-003  4.9740e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'kv--','lineWIDTH', 3); hold on;
Legends{end+1} ='T10';
data=[
  3.8700e+002  5.5900e+002  7.3100e+002  9.0300e+002
  4.4670e-003  4.7284e-003  4.8450e-003  4.9067e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'ks-','lineWIDTH', 3); hold on;
Legends{end+1} ='H27';
data=[
  3.8700e+002  5.5900e+002  7.3100e+002  9.0300e+002
  4.8987e-003  4.9927e-003  5.0237e-003  5.0387e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'mh-','lineWIDTH', 3); hold on;
Legends{end+1} ='NICE-H27';
data=[
  2.1800e+002  3.1000e+002  4.0200e+002  4.9400e+002
  5.0080e-003  5.0224e-003  5.0294e-003  5.0336e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'ro-','lineWIDTH', 3); hold on;
Legends{end+1} ='H20R';
data=[
  2.1800e+002  3.1000e+002  4.0200e+002  4.9400e+002
  3.7041e-003  4.2751e-003  4.5368e-003  4.6743e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'mo--','lineWIDTH', 3); hold on;
Legends{end+1} ='NICE-H20';
data=[
  2.1800e+002  3.1000e+002  4.0200e+002  4.9400e+002
  3.5414e-003  4.2024e-003  4.4623e-003  4.5982e-003

];
h=data(1,:);utip=abs((data(2,:)-uzex)/uzex);
loglog(h,utip,'k>--','lineWIDTH', 3); hold on;
Legends{end+1} ='H20';



set(gca,'XLim', [100, 1000]);
set(gca,'YLim', [1e-4, 1e-0]);
xlabel ('number of eqns')
ylabel ('normalized displ error')
legend(Legends,'Location','Southwest')
set(gca,'Position',[0.15 0.15 0.5 0.5]);
set(gca,'FontSize',12);
set(gca,'FontName',font)
l=get(gca,'xlabel');
set (l,'FontSize',14);
set(l,'FontName',font)
l=get(gca,'ylabel');
set (l,'FontSize',14);
set(l,'FontName',font)
hold on; grid on; figure (gcf);
% saveas(gcf,[mfilename '.eps'],'eps2c');