[fens,gcells] = H8_half_cylinder(0.3, 1.8425, 1, 5);
count(fens)
bg=mesh_bdry(gcells);
gv =drawmesh({fens,bg},'gcells','facecolor','none');

% Select the top faces
ltop=gcell_select(fens,bg,struct ('facing', true, 'direction', [0,0,1],'tolerance',eps));
% select the bottom faces
lbottom=gcell_select(fens,bg,struct ('facing', true, 'direction', [0,0,-1],'tolerance',eps));
% Select the faces on the planar cut through the cylinder 
lcut=gcell_select(fens,bg,struct ('facing', true, 'direction', [0,-1,0],'tolerance',eps));
% The rest are the faces on the cylindrical surface
lcyl =setdiff(1:count(bg),[ltop,lbottom,lcut]);

% Draw the boundary faces
gv =drawmesh({fens,subset(bg,ltop)},'gv',gv,'gcells','facecolor','b');
gv =drawmesh({fens,subset(bg,lbottom)},'gv',gv,'gcells','facecolor','r');
gv =drawmesh({fens,subset(bg,lcut)},'gv',gv,'gcells','facecolor','g');
gv =drawmesh({fens,subset(bg,lcyl)},'gv',gv,'gcells','facecolor','y','facealpha',0.8);
labels