
% Akiko Yaoita, Tadaharu Adachi and Akihiko Yamaji, Determination of elastic moduli for a spherical specimen by resonant ultrasound spectroscopy
% NDT & E International, Volume 38, Issue 7, October 2005, Pages 554-560, doi:10.1016/j.ndteint.2005.01.010
% 
% [1] Richard H. Vogt and Werner G. Neubauer, Relationship between acoustic
% reflection and vibrational modes of  elastic spheres,  

u=physical_units_struct;
%Steel material parameters
Es= 205e9*u.PA;% 
rhos=7850*u.KG/u.M^3;% 
nus=0.33;%
c_T=sqrt(Es/rhos /2/(1+ nus));
 R=500;% radius of the sphere, millimeters
 kappa_T= [2.6,3.6, 3.95];
f=kappa_T*c_T/(2*pi*R)

% Table 1 in Visualization of elastic vibrations in solid structures, Hickling
%  k =wave number in water, cw=1440 m/s
cw=1440000;
% k=omega/cw 
% k*R= 5.61 
f= 5.610/(2*pi*R)*cw 
% k*R= 5.61 

